Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-qt/gotodlg.cpp File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Macros | Functions
gotodlg.cpp File Reference
`#include <QApplication>`
`#include <QCheckBox>`
`#include <QHBoxLayout>`
`#include <QHeaderView>`
`#include <QLabel>`
`#include <QPainter>`
`#include <QPushButton>`
`#include <QTableWidget>`
`#include "game.h"`
`#include "client_main.h"`
`#include "control.h"`
`#include "goto.h"`
`#include "text.h"`
`#include "fc_client.h"`
`#include "gotodlg.h"`
`#include "qtg_cxxside.h"`
`#include "sprite.h"`
`#include "specenum_gen.h"`

Go to the source code of this file.

## Macros

#define | SPECENUM_NAME gotodlg_columns
#define | SPECENUM_VALUE0 GOTODLG_CITY
#define | SPECENUM_VALUE0NAME N_("City")
#define | SPECENUM_VALUE1 GOTODLG_NATION
#define | SPECENUM_VALUE1NAME N_("Nation")
#define | SPECENUM_VALUE2 GOTODLG_CONTINENT
#define | SPECENUM_VALUE2NAME N_("Continent")
#define | SPECENUM_VALUE3 GOTODLG_BUILDING
#define | SPECENUM_VALUE3NAME N_("Building")
#define | SPECENUM_VALUE4 GOTODLG_AIRLIFT
#define | SPECENUM_VALUE4NAME N_("Airlift")
#define | SPECENUM_VALUE5 GOTODLG_SIZE
#define | SPECENUM_VALUE5NAME N_("Size")
#define | SPECENUM_VALUE6 GOTODLG_DISTANCE
#define | SPECENUM_VALUE6NAME N_("Distance")
#define | SPECENUM_VALUE7 GOTODLG_TRADE
#define | SPECENUM_VALUE7NAME N_("Trade")
#define | SPECENUM_COUNT NUM_GOTODLG_COLUMNS

## Functions

void | popup_goto_dialog (void)

## Macro Definition Documentation

## ◆ SPECENUM_COUNT

#define SPECENUM_COUNT NUM_GOTODLG_COLUMNS

Definition at line 63 of file gotodlg.cpp.

## ◆ SPECENUM_NAME

#define SPECENUM_NAME gotodlg_columns

Definition at line 44 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE0

#define SPECENUM_VALUE0 GOTODLG_CITY

Definition at line 46 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE0NAME

#define SPECENUM_VALUE0NAME N_("City")

Definition at line 47 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE1

#define SPECENUM_VALUE1 GOTODLG_NATION

Definition at line 48 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE1NAME

#define SPECENUM_VALUE1NAME N_("Nation")

Definition at line 49 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE2

#define SPECENUM_VALUE2 GOTODLG_CONTINENT

Definition at line 50 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE2NAME

#define SPECENUM_VALUE2NAME N_("Continent")

Definition at line 51 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE3

#define SPECENUM_VALUE3 GOTODLG_BUILDING

Definition at line 52 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE3NAME

#define SPECENUM_VALUE3NAME N_("Building")

Definition at line 53 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE4

#define SPECENUM_VALUE4 GOTODLG_AIRLIFT

Definition at line 54 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE4NAME

#define SPECENUM_VALUE4NAME N_("Airlift")

Definition at line 55 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE5

#define SPECENUM_VALUE5 GOTODLG_SIZE

Definition at line 56 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE5NAME

#define SPECENUM_VALUE5NAME N_("Size")

Definition at line 57 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE6

#define SPECENUM_VALUE6 GOTODLG_DISTANCE

Definition at line 58 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE6NAME

#define SPECENUM_VALUE6NAME N_("Distance")

Definition at line 59 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE7

#define SPECENUM_VALUE7 GOTODLG_TRADE

Definition at line 60 of file gotodlg.cpp.

## ◆ SPECENUM_VALUE7NAME

#define SPECENUM_VALUE7NAME N_("Trade")

Definition at line 61 of file gotodlg.cpp.

## Function Documentation

## ◆ popup_goto_dialog()

void popup_goto_dialog | ( | void |  | ) |

Popup a dialog to have the focus unit goto to a city.

Definition at line 497 of file gotodlg.cpp.